#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'page_looknfeelbase.ui'
**
** Created: 2015-12-18T10:34:10
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "page_looknfeelbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qlabel.h>
#include <qgroupbox.h>
#include <kurlrequester.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a PageLooknFeelBase which is a child of 'parent', with the
 *  name 'name'.' 
 */
PageLooknFeelBase::PageLooknFeelBase( QWidget* parent,  const char* name )
    : QFrame( parent, name )
{
    if ( !name )
	setName( "PageLooknFeelBase" );
    setMinimumSize( QSize( 425, 450 ) );
    setFrameShape( QFrame::NoFrame );
    setFrameShadow( QFrame::Plain );
    PageLooknFeelBaseLayout = new QVBoxLayout( this, 0, 6, "PageLooknFeelBaseLayout"); 

    windowModeGB = new QButtonGroup( this, "windowModeGB" );
    windowModeGB->setFrameShape( QButtonGroup::Box );
    windowModeGB->setFrameShadow( QButtonGroup::Sunken );
    windowModeGB->setColumnLayout(0, Qt::Vertical );
    windowModeGB->layout()->setSpacing( 6 );
    windowModeGB->layout()->setMargin( 11 );
    windowModeGBLayout = new QGridLayout( windowModeGB->layout() );
    windowModeGBLayout->setAlignment( Qt::AlignTop );
    Spacer1 = new QSpacerItem( 20, 31, QSizePolicy::Minimum, QSizePolicy::Expanding );
    windowModeGBLayout->addItem( Spacer1, 4, 0 );

    mdiCB = new QRadioButton( windowModeGB, "mdiCB" );
    mdiCB->setChecked( FALSE );
    windowModeGB->insert( mdiCB, 0 );

    windowModeGBLayout->addWidget( mdiCB, 3, 0 );
    Spacer1_2 = new QSpacerItem( 20, 31, QSizePolicy::Minimum, QSizePolicy::Expanding );
    windowModeGBLayout->addItem( Spacer1_2, 1, 0 );

    wmLabel = new QLabel( windowModeGB, "wmLabel" );
    wmLabel->setAlignment( int( QLabel::WordBreak | QLabel::AlignVCenter | QLabel::AlignLeft ) );

    windowModeGBLayout->addWidget( wmLabel, 0, 0 );

    sdiCB = new QRadioButton( windowModeGB, "sdiCB" );
    sdiCB->setChecked( TRUE );
    windowModeGB->insert( sdiCB, 0 );

    windowModeGBLayout->addWidget( sdiCB, 2, 0 );

    Frame3 = new QFrame( windowModeGB, "Frame3" );
    Frame3->setMinimumSize( QSize( 120, 120 ) );
    Frame3->setMaximumSize( QSize( 120, 120 ) );
    Frame3->setFrameShape( QFrame::StyledPanel );
    Frame3->setFrameShadow( QFrame::Raised );

    modePreview = new QLabel( Frame3, "modePreview" );
    modePreview->setGeometry( QRect( 10, 10, 100, 100 ) );
    modePreview->setScaledContents( TRUE );

    windowModeGBLayout->addMultiCellWidget( Frame3, 1, 4, 1, 1 );
    PageLooknFeelBaseLayout->addWidget( windowModeGB );

    wallpaperGB = new QGroupBox( this, "wallpaperGB" );
    wallpaperGB->setColumnLayout(0, Qt::Vertical );
    wallpaperGB->layout()->setSpacing( 6 );
    wallpaperGB->layout()->setMargin( 11 );
    wallpaperGBLayout = new QHBoxLayout( wallpaperGB->layout() );
    wallpaperGBLayout->setAlignment( Qt::AlignTop );

    Layout4 = new QHBoxLayout( 0, 0, 6, "Layout4"); 

    wallpaperPathLE = new KURLRequester( wallpaperGB, "wallpaperPathLE" );
    wallpaperPathLE->setMinimumSize( QSize( 100, 25 ) );
    wallpaperPathLE->setMaximumSize( QSize( 32767, 30 ) );
    Layout4->addWidget( wallpaperPathLE );
    wallpaperGBLayout->addLayout( Layout4 );

    Frame3_2 = new QFrame( wallpaperGB, "Frame3_2" );
    Frame3_2->setMinimumSize( QSize( 120, 120 ) );
    Frame3_2->setMaximumSize( QSize( 120, 120 ) );
    Frame3_2->setFrameShape( QFrame::StyledPanel );
    Frame3_2->setFrameShadow( QFrame::Raised );

    wallpaperPreview = new QLabel( Frame3_2, "wallpaperPreview" );
    wallpaperPreview->setGeometry( QRect( 10, 10, 100, 100 ) );
    wallpaperPreview->setScaledContents( TRUE );
    wallpaperGBLayout->addWidget( Frame3_2 );
    PageLooknFeelBaseLayout->addWidget( wallpaperGB );
    spacer5 = new QSpacerItem( 51, 1, QSizePolicy::Minimum, QSizePolicy::Expanding );
    PageLooknFeelBaseLayout->addItem( spacer5 );
    languageChange();
    resize( QSize(425, 452).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( sdiCB, SIGNAL( clicked() ), this, SLOT( changed() ) );
    connect( sdiCB, SIGNAL( toggled(bool) ), this, SLOT( setPreviewPixmap(bool) ) );
    connect( mdiCB, SIGNAL( clicked() ), this, SLOT( changed() ) );
    connect( wallpaperPathLE, SIGNAL( textChanged(const QString &) ), this, SLOT( showWallpaperPixmap(const QString&) ) );
    connect( wallpaperPathLE, SIGNAL( textChanged(const QString &) ), this, SLOT( changed() ) );

    // tab order
    setTabOrder( sdiCB, wallpaperPathLE );
}

/*
 *  Destroys the object and frees any allocated resources
 */
PageLooknFeelBase::~PageLooknFeelBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void PageLooknFeelBase::languageChange()
{
    setCaption( tr2i18n( "LooknFeel" ) );
    windowModeGB->setTitle( tr2i18n( "Window Mode" ) );
    mdiCB->setText( tr2i18n( "&Paged MDI mode (XChat)" ) );
    wmLabel->setText( tr2i18n( "Choose your favorite window mode:" ) );
    sdiCB->setText( tr2i18n( "&SDI mode (old behavior)" ) );
    wallpaperGB->setTitle( tr2i18n( "Wallpaper" ) );
}

void PageLooknFeelBase::setPreviewPixmap(bool)
{
    qWarning( "PageLooknFeelBase::setPreviewPixmap(bool): Not implemented yet" );
}

void PageLooknFeelBase::showWallpaperPixmap(const QString&)
{
    qWarning( "PageLooknFeelBase::showWallpaperPixmap(const QString&): Not implemented yet" );
}

void PageLooknFeelBase::changed()
{
    qWarning( "PageLooknFeelBase::changed(): Not implemented yet" );
}

/****************************************************************************
** PageLooknFeelBase meta object code from reading C++ file 'page_looknfeelbase.h'
**
** Created: Fri Dec 18 10:34:10 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "page_looknfeelbase.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *PageLooknFeelBase::className() const
{
    return "PageLooknFeelBase";
}

QMetaObject *PageLooknFeelBase::metaObj = 0;
static QMetaObjectCleanUp cleanUp_PageLooknFeelBase( "PageLooknFeelBase", &PageLooknFeelBase::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString PageLooknFeelBase::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "PageLooknFeelBase", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString PageLooknFeelBase::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "PageLooknFeelBase", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* PageLooknFeelBase::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QFrame::staticMetaObject();
    static const QUMethod slot_0 = {"changed", 0, 0 };
    static const QUMethod slot_1 = {"languageChange", 0, 0 };
    static const QUParameter param_slot_2[] = {
	{ 0, &static_QUType_bool, 0, QUParameter::In }
    };
    static const QUMethod slot_2 = {"setPreviewPixmap", 1, param_slot_2 };
    static const QUParameter param_slot_3[] = {
	{ 0, &static_QUType_QString, 0, QUParameter::In }
    };
    static const QUMethod slot_3 = {"showWallpaperPixmap", 1, param_slot_3 };
    static const QMetaData slot_tbl[] = {
	{ "changed()", &slot_0, QMetaData::Public },
	{ "languageChange()", &slot_1, QMetaData::Protected },
	{ "setPreviewPixmap(bool)", &slot_2, QMetaData::Protected },
	{ "showWallpaperPixmap(const QString&)", &slot_3, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"PageLooknFeelBase", parentObject,
	slot_tbl, 4,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_PageLooknFeelBase.setMetaObject( metaObj );
    return metaObj;
}

void* PageLooknFeelBase::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "PageLooknFeelBase" ) )
	return this;
    return QFrame::qt_cast( clname );
}

bool PageLooknFeelBase::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: changed(); break;
    case 1: languageChange(); break;
    case 2: setPreviewPixmap((bool)static_QUType_bool.get(_o+1)); break;
    case 3: showWallpaperPixmap((const QString&)static_QUType_QString.get(_o+1)); break;
    default:
	return QFrame::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool PageLooknFeelBase::qt_emit( int _id, QUObject* _o )
{
    return QFrame::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool PageLooknFeelBase::qt_property( int id, int f, QVariant* v)
{
    return QFrame::qt_property( id, f, v);
}

bool PageLooknFeelBase::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
