#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'page_startupbase.ui'
**
** Created: 2015-12-18T10:34:08
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "page_startupbase.h"

#include <qvariant.h>
#include <keditlistbox.h>
#include <qgroupbox.h>
#include <qlineedit.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a PageStartupBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
PageStartupBase::PageStartupBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "PageStartupBase" );
    PageStartupBaseLayout = new QVBoxLayout( this, 0, 6, "PageStartupBaseLayout"); 

    serverLB = new KEditListBox( this, "serverLB" );
    serverLB->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)7, 0, 0, serverLB->sizePolicy().hasHeightForWidth() ) );
    PageStartupBaseLayout->addWidget( serverLB );

    nickGB = new QGroupBox( this, "nickGB" );
    nickGB->setMaximumSize( QSize( 32767, 32767 ) );
    nickGB->setColumnLayout(0, Qt::Vertical );
    nickGB->layout()->setSpacing( 6 );
    nickGB->layout()->setMargin( 11 );
    nickGBLayout = new QGridLayout( nickGB->layout() );
    nickGBLayout->setAlignment( Qt::AlignTop );

    nickLE = new QLineEdit( nickGB, "nickLE" );

    nickGBLayout->addWidget( nickLE, 0, 1 );

    altNickLE = new QLineEdit( nickGB, "altNickLE" );

    nickGBLayout->addWidget( altNickLE, 1, 1 );

    rnLE = new QLineEdit( nickGB, "rnLE" );

    nickGBLayout->addWidget( rnLE, 2, 1 );

    nickLabel = new QLabel( nickGB, "nickLabel" );

    nickGBLayout->addWidget( nickLabel, 0, 0 );

    anLabel = new QLabel( nickGB, "anLabel" );

    nickGBLayout->addWidget( anLabel, 1, 0 );

    uiLE = new QLineEdit( nickGB, "uiLE" );

    nickGBLayout->addWidget( uiLE, 3, 1 );

    uiLabel = new QLabel( nickGB, "uiLabel" );

    nickGBLayout->addWidget( uiLabel, 3, 0 );

    rnLabel = new QLabel( nickGB, "rnLabel" );

    nickGBLayout->addWidget( rnLabel, 2, 0 );
    PageStartupBaseLayout->addWidget( nickGB );

    notifyLB = new KEditListBox( this, "notifyLB" );
    notifyLB->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)7, 0, 0, notifyLB->sizePolicy().hasHeightForWidth() ) );
    PageStartupBaseLayout->addWidget( notifyLB );
    languageChange();
    resize( QSize(420, 578).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( nickLE, SIGNAL( textChanged(const QString&) ), this, SLOT( changed() ) );
    connect( altNickLE, SIGNAL( textChanged(const QString&) ), this, SLOT( changed() ) );
    connect( notifyLB, SIGNAL( changed() ), this, SLOT( changed() ) );
    connect( rnLE, SIGNAL( textChanged(const QString&) ), this, SLOT( changed() ) );
    connect( uiLE, SIGNAL( textChanged(const QString&) ), this, SLOT( changed() ) );
    connect( serverLB, SIGNAL( changed() ), this, SLOT( server_changed() ) );

    // buddies
    nickLabel->setBuddy( nickLE );
    anLabel->setBuddy( altNickLE );
    uiLabel->setBuddy( rnLE );
    rnLabel->setBuddy( rnLE );
}

/*
 *  Destroys the object and frees any allocated resources
 */
PageStartupBase::~PageStartupBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void PageStartupBase::languageChange()
{
    setCaption( tr2i18n( "StartUp" ) );
    serverLB->setTitle( tr2i18n( "Server" ) );
    nickGB->setTitle( tr2i18n( "Name Settings" ) );
    nickLabel->setText( tr2i18n( "&Nick name:" ) );
    anLabel->setText( tr2i18n( "A&lternative nick:" ) );
    uiLabel->setText( tr2i18n( "&User ID:" ) );
    rnLabel->setText( tr2i18n( "&Real name:" ) );
    notifyLB->setTitle( tr2i18n( "Notify List" ) );
}

void PageStartupBase::changed()
{
    qWarning( "PageStartupBase::changed(): Not implemented yet" );
}

void PageStartupBase::server_changed()
{
    qWarning( "PageStartupBase::server_changed(): Not implemented yet" );
}

/****************************************************************************
** PageStartupBase meta object code from reading C++ file 'page_startupbase.h'
**
** Created: Fri Dec 18 10:34:09 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "page_startupbase.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *PageStartupBase::className() const
{
    return "PageStartupBase";
}

QMetaObject *PageStartupBase::metaObj = 0;
static QMetaObjectCleanUp cleanUp_PageStartupBase( "PageStartupBase", &PageStartupBase::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString PageStartupBase::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "PageStartupBase", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString PageStartupBase::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "PageStartupBase", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* PageStartupBase::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"changed", 0, 0 };
    static const QUMethod slot_1 = {"server_changed", 0, 0 };
    static const QUMethod slot_2 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "changed()", &slot_0, QMetaData::Public },
	{ "server_changed()", &slot_1, QMetaData::Public },
	{ "languageChange()", &slot_2, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"PageStartupBase", parentObject,
	slot_tbl, 3,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_PageStartupBase.setMetaObject( metaObj );
    return metaObj;
}

void* PageStartupBase::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "PageStartupBase" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool PageStartupBase::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: changed(); break;
    case 1: server_changed(); break;
    case 2: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool PageStartupBase::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool PageStartupBase::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool PageStartupBase::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
