#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'dccManagerbase.ui'
**
** Created: 2015-12-18T10:34:28
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "dccManagerbase.h"

#include <qvariant.h>
#include <qheader.h>
#include <klistview.h>
#include <kpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a dccManagerbase which is a child of 'parent', with the
 *  name 'name'.' 
 */
dccManagerbase::dccManagerbase( QWidget* parent,  const char* name )
    : QFrame( parent, name )
{
    if ( !name )
	setName( "dccManagerbase" );
    setFrameShape( QFrame::NoFrame );
    setFrameShadow( QFrame::Plain );
    dccManagerbaseLayout = new QVBoxLayout( this, 11, 6, "dccManagerbaseLayout"); 

    klvBox = new KListView( this, "klvBox" );
    klvBox->addColumn( tr2i18n( "Who" ) );
    klvBox->addColumn( tr2i18n( "File" ) );
    klvBox->addColumn( tr2i18n( "Status" ) );
    klvBox->addColumn( tr2i18n( "Size" ) );
    klvBox->addColumn( tr2i18n( "KB/s" ) );
    klvBox->addColumn( tr2i18n( "Progress" ) );
    klvBox->setResizeMode( KListView::AllColumns );
    dccManagerbaseLayout->addWidget( klvBox );

    layout2 = new QHBoxLayout( 0, 0, 6, "layout2"); 

    kpbNew = new KPushButton( this, "kpbNew" );
    layout2->addWidget( kpbNew );

    kpbConnect = new KPushButton( this, "kpbConnect" );
    layout2->addWidget( kpbConnect );

    kpbResume = new KPushButton( this, "kpbResume" );
    layout2->addWidget( kpbResume );

    kpbRename = new KPushButton( this, "kpbRename" );
    layout2->addWidget( kpbRename );

    kpbAbort = new KPushButton( this, "kpbAbort" );
    layout2->addWidget( kpbAbort );
    dccManagerbaseLayout->addLayout( layout2 );
    languageChange();
    resize( QSize(717, 318).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( kpbRename, SIGNAL( clicked() ), this, SLOT( kpbRename_clicked() ) );
    connect( kpbConnect, SIGNAL( clicked() ), this, SLOT( kpbConnect_clicked() ) );
    connect( kpbResume, SIGNAL( clicked() ), this, SLOT( kpbResume_clicked() ) );
    connect( kpbAbort, SIGNAL( clicked() ), this, SLOT( kpbAbort_clicked() ) );
    connect( kpbNew, SIGNAL( clicked() ), this, SLOT( kpbNew_clicked() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
dccManagerbase::~dccManagerbase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void dccManagerbase::languageChange()
{
    setCaption( tr2i18n( "DCC Manager" ) );
    klvBox->header()->setLabel( 0, tr2i18n( "Who" ) );
    klvBox->header()->setLabel( 1, tr2i18n( "File" ) );
    klvBox->header()->setLabel( 2, tr2i18n( "Status" ) );
    klvBox->header()->setLabel( 3, tr2i18n( "Size" ) );
    klvBox->header()->setLabel( 4, tr2i18n( "KB/s" ) );
    klvBox->header()->setLabel( 5, tr2i18n( "Progress" ) );
    kpbNew->setText( tr2i18n( "&New..." ) );
    kpbConnect->setText( tr2i18n( "&Connect" ) );
    kpbResume->setText( tr2i18n( "R&esume" ) );
    kpbRename->setText( tr2i18n( "&Rename" ) );
    kpbAbort->setText( tr2i18n( "&Disconnect" ) );
}

void dccManagerbase::kpbResume_clicked()
{
    qWarning( "dccManagerbase::kpbResume_clicked(): Not implemented yet" );
}

void dccManagerbase::kpbConnect_clicked()
{
    qWarning( "dccManagerbase::kpbConnect_clicked(): Not implemented yet" );
}

void dccManagerbase::kpbRename_clicked()
{
    qWarning( "dccManagerbase::kpbRename_clicked(): Not implemented yet" );
}

void dccManagerbase::kpbAbort_clicked()
{
    qWarning( "dccManagerbase::kpbAbort_clicked(): Not implemented yet" );
}

void dccManagerbase::kpbNew_clicked()
{
    qWarning( "dccManagerbase::kpbNew_clicked(): Not implemented yet" );
}

/****************************************************************************
** dccManagerbase meta object code from reading C++ file 'dccManagerbase.h'
**
** Created: Fri Dec 18 10:34:28 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "dccManagerbase.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *dccManagerbase::className() const
{
    return "dccManagerbase";
}

QMetaObject *dccManagerbase::metaObj = 0;
static QMetaObjectCleanUp cleanUp_dccManagerbase( "dccManagerbase", &dccManagerbase::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString dccManagerbase::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "dccManagerbase", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString dccManagerbase::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "dccManagerbase", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* dccManagerbase::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QFrame::staticMetaObject();
    static const QUMethod slot_0 = {"kpbResume_clicked", 0, 0 };
    static const QUMethod slot_1 = {"kpbConnect_clicked", 0, 0 };
    static const QUMethod slot_2 = {"kpbRename_clicked", 0, 0 };
    static const QUMethod slot_3 = {"kpbAbort_clicked", 0, 0 };
    static const QUMethod slot_4 = {"kpbNew_clicked", 0, 0 };
    static const QUMethod slot_5 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "kpbResume_clicked()", &slot_0, QMetaData::Public },
	{ "kpbConnect_clicked()", &slot_1, QMetaData::Public },
	{ "kpbRename_clicked()", &slot_2, QMetaData::Public },
	{ "kpbAbort_clicked()", &slot_3, QMetaData::Public },
	{ "kpbNew_clicked()", &slot_4, QMetaData::Public },
	{ "languageChange()", &slot_5, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"dccManagerbase", parentObject,
	slot_tbl, 6,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_dccManagerbase.setMetaObject( metaObj );
    return metaObj;
}

void* dccManagerbase::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "dccManagerbase" ) )
	return this;
    return QFrame::qt_cast( clname );
}

bool dccManagerbase::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: kpbResume_clicked(); break;
    case 1: kpbConnect_clicked(); break;
    case 2: kpbRename_clicked(); break;
    case 3: kpbAbort_clicked(); break;
    case 4: kpbNew_clicked(); break;
    case 5: languageChange(); break;
    default:
	return QFrame::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool dccManagerbase::qt_emit( int _id, QUObject* _o )
{
    return QFrame::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool dccManagerbase::qt_property( int id, int f, QVariant* v)
{
    return QFrame::qt_property( id, f, v);
}

bool dccManagerbase::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
