#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'dccNewbase.ui'
**
** Created: 2015-12-18T10:34:29
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "dccNewbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qgroupbox.h>
#include <kcombobox.h>
#include <klineedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "alistbox.h"

/*
 *  Constructs a dccNewBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
dccNewBase::dccNewBase( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "dccNewBase" );
    dccNewBaseLayout = new QVBoxLayout( this, 11, 6, "dccNewBaseLayout"); 

    buttonGroup1 = new QButtonGroup( this, "buttonGroup1" );
    buttonGroup1->setFrameShape( QButtonGroup::GroupBoxPanel );
    buttonGroup1->setFrameShadow( QButtonGroup::Sunken );
    buttonGroup1->setColumnLayout(0, Qt::Vertical );
    buttonGroup1->layout()->setSpacing( 6 );
    buttonGroup1->layout()->setMargin( 11 );
    buttonGroup1Layout = new QHBoxLayout( buttonGroup1->layout() );
    buttonGroup1Layout->setAlignment( Qt::AlignTop );

    rbFileSend = new QRadioButton( buttonGroup1, "rbFileSend" );
    buttonGroup1Layout->addWidget( rbFileSend );

    rbChat = new QRadioButton( buttonGroup1, "rbChat" );
    buttonGroup1Layout->addWidget( rbChat );
    spacer2 = new QSpacerItem( 51, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    buttonGroup1Layout->addItem( spacer2 );
    dccNewBaseLayout->addWidget( buttonGroup1 );

    groupBox2 = new QGroupBox( this, "groupBox2" );
    groupBox2->setColumnLayout(0, Qt::Vertical );
    groupBox2->layout()->setSpacing( 6 );
    groupBox2->layout()->setMargin( 11 );
    groupBox2Layout = new QVBoxLayout( groupBox2->layout() );
    groupBox2Layout->setAlignment( Qt::AlignTop );

    nickList = new aListBox( groupBox2, "nickList" );
    nickList->setMinimumSize( QSize( 0, 100 ) );
    groupBox2Layout->addWidget( nickList );

    cbNicks = new KComboBox( FALSE, groupBox2, "cbNicks" );
    cbNicks->setEditable( TRUE );
    groupBox2Layout->addWidget( cbNicks );
    dccNewBaseLayout->addWidget( groupBox2 );

    gbFile = new QGroupBox( this, "gbFile" );
    gbFile->setMinimumSize( QSize( 0, 0 ) );
    gbFile->setColumnLayout(0, Qt::Vertical );
    gbFile->layout()->setSpacing( 6 );
    gbFile->layout()->setMargin( 11 );
    gbFileLayout = new QHBoxLayout( gbFile->layout() );
    gbFileLayout->setAlignment( Qt::AlignTop );

    leFile = new KLineEdit( gbFile, "leFile" );
    gbFileLayout->addWidget( leFile );

    pbFile = new QPushButton( gbFile, "pbFile" );
    pbFile->setAutoDefault( FALSE );
    gbFileLayout->addWidget( pbFile );
    dccNewBaseLayout->addWidget( gbFile );

    layout1 = new QHBoxLayout( 0, 0, 6, "layout1"); 

    pbSend = new QPushButton( this, "pbSend" );
    pbSend->setDefault( TRUE );
    layout1->addWidget( pbSend );

    pbCancel = new QPushButton( this, "pbCancel" );
    layout1->addWidget( pbCancel );
    dccNewBaseLayout->addLayout( layout1 );
    languageChange();
    resize( QSize(424, 386).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( rbChat, SIGNAL( clicked() ), this, SLOT( chatClicked() ) );
    connect( rbFileSend, SIGNAL( clicked() ), this, SLOT( fileSendClicked() ) );
    connect( pbSend, SIGNAL( clicked() ), this, SLOT( sendClicked() ) );
    connect( pbFile, SIGNAL( clicked() ), this, SLOT( fileClicked() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
dccNewBase::~dccNewBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void dccNewBase::languageChange()
{
    setCaption( tr2i18n( "New DCC" ) );
    buttonGroup1->setTitle( tr2i18n( "DCC Type" ) );
    rbFileSend->setText( tr2i18n( "&File send" ) );
    rbChat->setText( tr2i18n( "C&hat" ) );
    groupBox2->setTitle( tr2i18n( "Nick" ) );
    gbFile->setTitle( tr2i18n( "File Name" ) );
    pbFile->setText( tr2i18n( "&..." ) );
    pbSend->setText( tr2i18n( "&Send" ) );
    pbCancel->setText( tr2i18n( "&Cancel" ) );
}

void dccNewBase::chatClicked()
{
    qWarning( "dccNewBase::chatClicked(): Not implemented yet" );
}

void dccNewBase::radioButton4_clicked()
{
    qWarning( "dccNewBase::radioButton4_clicked(): Not implemented yet" );
}

void dccNewBase::fileSendClicked()
{
    qWarning( "dccNewBase::fileSendClicked(): Not implemented yet" );
}

void dccNewBase::send()
{
    qWarning( "dccNewBase::send(): Not implemented yet" );
}

void dccNewBase::sendClicked()
{
    qWarning( "dccNewBase::sendClicked(): Not implemented yet" );
}

void dccNewBase::fileClicked()
{
    qWarning( "dccNewBase::fileClicked(): Not implemented yet" );
}

/****************************************************************************
** dccNewBase meta object code from reading C++ file 'dccNewbase.h'
**
** Created: Fri Dec 18 10:34:29 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "dccNewbase.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *dccNewBase::className() const
{
    return "dccNewBase";
}

QMetaObject *dccNewBase::metaObj = 0;
static QMetaObjectCleanUp cleanUp_dccNewBase( "dccNewBase", &dccNewBase::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString dccNewBase::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "dccNewBase", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString dccNewBase::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "dccNewBase", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* dccNewBase::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QDialog::staticMetaObject();
    static const QUMethod slot_0 = {"chatClicked", 0, 0 };
    static const QUMethod slot_1 = {"radioButton4_clicked", 0, 0 };
    static const QUMethod slot_2 = {"fileSendClicked", 0, 0 };
    static const QUMethod slot_3 = {"send", 0, 0 };
    static const QUMethod slot_4 = {"sendClicked", 0, 0 };
    static const QUMethod slot_5 = {"fileClicked", 0, 0 };
    static const QUMethod slot_6 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "chatClicked()", &slot_0, QMetaData::Public },
	{ "radioButton4_clicked()", &slot_1, QMetaData::Public },
	{ "fileSendClicked()", &slot_2, QMetaData::Public },
	{ "send()", &slot_3, QMetaData::Public },
	{ "sendClicked()", &slot_4, QMetaData::Public },
	{ "fileClicked()", &slot_5, QMetaData::Public },
	{ "languageChange()", &slot_6, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"dccNewBase", parentObject,
	slot_tbl, 7,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_dccNewBase.setMetaObject( metaObj );
    return metaObj;
}

void* dccNewBase::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "dccNewBase" ) )
	return this;
    return QDialog::qt_cast( clname );
}

bool dccNewBase::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: chatClicked(); break;
    case 1: radioButton4_clicked(); break;
    case 2: fileSendClicked(); break;
    case 3: send(); break;
    case 4: sendClicked(); break;
    case 5: fileClicked(); break;
    case 6: languageChange(); break;
    default:
	return QDialog::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool dccNewBase::qt_emit( int _id, QUObject* _o )
{
    return QDialog::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool dccNewBase::qt_property( int id, int f, QVariant* v)
{
    return QDialog::qt_property( id, f, v);
}

bool dccNewBase::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
